For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all your users
      • GETCheck user permission
      • PUTRevoke user permission
      • PUTResend / Cancel invitation
      • POSTSend invitation to user
      • POSTUpdate permission for a user
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsUser

Revoke user permission

PUT
https://api.brevo.com/v3/organization/user/invitation/revoke/:email
PUT
/v3/organization/user/invitation/revoke/:email
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.user.putRevokeUserPermission("email");
8}
9main();
1{
2 "status": "OK",
3 "credit_notes": [
4 "TEST-123"
5 ]
6}
Revokes all permissions for an invited user in the organization, effectively removing their access to the platform. If the user''s plan change generated credit notes, they are returned in the response for billing reconciliation.
Was this page helpful?
Previous

Resend / Cancel invitation

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

emailstringRequired
Email of the invited user.

Response

Credit note exists
statusstring
Status of the API operation.
credit_noteslist of strings
Credit note

Errors

403
Forbidden Error